### Enumeration

# Qmi LocSystem

since: 1.22

#### Declaration

    enum Qmi.LocSystem

#### Description [src]

Which location system a satellite is part of.

Available since: 1.22

#### Members

`QMI_LOC_SYSTEM_GPS`

  GPS.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_SYSTEM_GALILEO`

  Galileo.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_SYSTEM_SBAS`

  SBAS.

  - Value: `3`
  - Available since: 1.22
`QMI_LOC_SYSTEM_COMPASS`

  COMPASS (BeiDou).

  - Value: `4`
  - Available since: 1.22
`QMI_LOC_SYSTEM_GLONASS`

  GLONASS.

  - Value: `5`
  - Available since: 1.22

#### Type functions

###### qmi_loc_system_get_string

Gets the nickname string for the `QmiLocSystem` specified at `val`.

since: 1.22